summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMiklós Tóth2020-12-13 00:08:15 +0000
committerMiklós Tóth2020-12-13 00:08:15 +0000
commit42e86eb57994b539c31b1432306e170a962221d0 (patch)
tree0168daa5ff339b343bb60188defa8c2927fb3924 /PKGBUILD
parent4a7b6ca30f1f6c4c34c04ddf90cb59bce8954233 (diff)
downloadaur-42e86eb57994b539c31b1432306e170a962221d0.tar.gz
automatic update
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD33
1 files changed, 8 insertions, 25 deletions
diff --git a/PKGBUILD b/PKGBUILD
index f3f689576aa..dbdef822786 100644
--- a/PKGBUILD
+++ b/PKGBUILD
@@ -34,13 +34,6 @@ if [ -z ${use_tracers+x} ]; then
use_tracers=y
fi
-## Enable Cachy CPU scheduler by default https://github.com/xanmod/linux/blob/5.8/Documentation/scheduler/sched-Cachy.rst
-## Set variable "use_cachy" to: n to disable (stock Xanmod)
-## y to enable
-if [ -z ${use_cachy+x} ]; then
- use_cachy=n
-fi
-
## Enable CONFIG_USER_NS_UNPRIVILEGED flag https://aur.archlinux.org/cgit/aur.git/tree/0001-ZEN-Add-sysctl-and-CONFIG-to-disallow-unprivileged-C.patch?h=linux-ck
## Set variable "use_ns" to: n to disable (stock Xanmod)
## y to enable (stock Archlinux)
@@ -66,10 +59,10 @@ _makenconfig=
### IMPORTANT: Do no edit below this line unless you know what you're doing
pkgbase=linux-xanmod-anbox
-pkgver=5.9.13
+pkgver=5.9.14
_major=5.9
_branch=5.x
-xanmod=2
+xanmod=1
pkgrel=${xanmod}
pkgdesc='Linux Xanmod with ashmem and binder enabled for Anbox'
url="http://www.xanmod.org/"
@@ -99,15 +92,14 @@ done
sha256sums=('3239a4ee1250bf2048be988cc8cb46c487b2c8a0de5b1b032d38394d5c6b1a06'
'SKIP'
- '85f09e233425bda814f7727a946474f40adce258073174a6417acc917b4f5bf9'
+ '61272350b30a72ccd8c6e4336073f8a178ff476cf8ffb76c11ab456f185da681'
'2c7369218e81dee86f8ac15bda741b9bb34fa9cefcb087760242277a8207d511'
'6c66dba73251440352f93ff32b72f5dd49536d0f17ef9347867660fd3a626991')
-# If use_cachy=y then download cachy patch
-if [ "$use_cachy" = "y" ]; then
- echo "Cachy branch is not ready yet..." && exit 1
- source+=("https://github.com/xanmod/linux/releases/download/${pkgver}-xanmod${xanmod}-cachy/patch-${pkgver}-xanmod${xanmod}-cachy.xz")
- sha256sums+=('16b29e9e30979c8ff5f25ee5d46f9a9fc601ebda2b4aeabeeb85953628d38f10')
+# If use_cachy=y or use_cacule=y then advice user to install the new package
+if [ "$use_cachy" = "y" ] || [ "$use_cacule" = "y" ]; then
+ echo "Cachy is now Cacule. To use it install linux-xanmod-anbox-cacule package."
+ exit 1
fi
export KBUILD_BUILD_HOST=${KBUILD_BUILD_HOST:-archlinux}
@@ -118,11 +110,7 @@ prepare() {
cd linux-${_major}
# Apply Xanmod patch
- if [ "$use_cachy" = "y" ]; then
- patch -Np1 -i ../patch-${pkgver}-xanmod${xanmod}-cachy
- else
- patch -Np1 -i ../patch-${pkgver}-xanmod${xanmod}
- fi
+ patch -Np1 -i ../patch-${pkgver}-xanmod${xanmod}
msg2 "Setting version..."
scripts/setlocalversion --save-scmversion
@@ -166,11 +154,6 @@ prepare() {
scripts/config --disable CONFIG_NUMA
fi
- if [ "$use_cachy" = "y" ]; then
- msg2 "Enabling Cachy CPU scheduler by default..."
- scripts/config --enable CONFIG_CACHY_SCHED
- fi
-
if [ "$use_ns" = "n" ]; then
msg2 "Disabling CONFIG_USER_NS_UNPRIVILEGED"
scripts/config --disable CONFIG_USER_NS_UNPRIVILEGED